Bug#915621: marked as done (glibc-source: needs versioned Breaks on some binary from cross-toolchain-base (<< 29~))

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Bug#915621: marked as done (glibc-source: needs versioned Breaks on some binary from cross-toolchain-base (<< 29~))

Debian Bug Tracking System
Your message dated Wed, 05 Dec 2018 20:44:59 +0000
with message-id <[hidden email]>
and subject line Bug#915621: fixed in glibc 2.28-2
has caused the Debian Bug report #915621,
regarding glibc-source: needs versioned Breaks on some binary from cross-toolchain-base (<< 29~)
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [hidden email]
immediately.)


--
915621: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=915621
Debian Bug Tracking System
Contact [hidden email] with problems

Package: glibc-source
Version: 2.28-1
Severity: important

autopkgtest fails while trying to test whether glibc in unstable could
migrate to testing:
https://ci.debian.net/data/autopkgtest/testing/amd64/c/cross-toolchain-base/1438735/log.gz

> tar -x -f  /usr/src/glibc/glibc-2.28.tar.xz
> cp -a /usr/src/glibc/debian/ glibc-2.28
> cd glibc-2.28 ; \
> QUILT_PATCHES=/tmp/autopkgtest-lxc.ufw2cd2w/downtmp/build.UwU/src/debian/patches/glibc/debian quilt --quiltrc /dev/null push -a && \
> rm -rf .pc/
> Applying patch dpkg-shlibs.patch
> patching file debian/rules.d/debhelper.mk
>
> Applying patch local-kill-locales.patch
> patching file debian/rules
> patching file localedata/SUPPORTED
> Hunk #1 FAILED at 2.
> 1 out of 1 hunk FAILED -- rejects in file localedata/SUPPORTED
I think this means glibc-source should have a Breaks: on some binary
package that gets installed by cross-toolchain-base's autopkgtest, so
that the testing migration infrastructure knows that cross-toolchain-base
28 and glibc-source 2.28 is not a valid combination.

Unfortunately, cross-toolchain-base's d/tests/control doesn't include
any binary packages built by cross-toolchain-base. Perhaps one needs to
be added, as a way to tell the testing migration infrastructure what is
going on?

Presumably this also means that cross-toolchain-base's autopkgtest is
not actually testing anything about the previously built .debs, which
seems contrary to the design of autopkgtest. I would have expected an
autopkgtest for cross-toolchain-base to be something more like this:

- install linux-libc-dev-arm64-cross, libc6-arm64-cross, etc.
- use them to compile and link a "hello, world" arm64 executable
- (optionally) use qemu or something to run it

where the choice of arm64 is arbitrary, but should ideally not match
the architecture of the CI infrastructure.

    smcv

Source: glibc
Source-Version: 2.28-2

We believe that the bug you reported is fixed in the latest version of
glibc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to [hidden email],
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <[hidden email]> (supplier of updated glibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [hidden email])


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 05 Dec 2018 19:50:21 +0100
Source: glibc
Binary: libc-bin libc-dev-bin libc-l10n glibc-doc glibc-source locales locales-all nscd multiarch-support libc6 libc6-dev libc6-dbg libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc libc6-dev-sparc libc6-sparc64 libc6-dev-sparc64 libc6-s390 libc6-dev-s390 libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mips32 libc6-dev-mips32 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-x32 libc6-dev-x32 libc6-xen libc0.3-xen libc6.1-alphaev67
Architecture: source
Version: 2.28-2
Distribution: unstable
Urgency: medium
Maintainer: GNU Libc Maintainers <[hidden email]>
Changed-By: Aurelien Jarno <[hidden email]>
Description:
 glibc-doc  - GNU C Library: Documentation
 glibc-source - GNU C Library: sources
 libc-bin   - GNU C Library: Binaries
 libc-dev-bin - GNU C Library: Development binaries
 libc-l10n  - GNU C Library: localization files
 libc0.1    - GNU C Library: Shared libraries
 libc0.1-dbg - GNU C Library: detached debugging symbols
 libc0.1-dev - GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - GNU C Library: 32bit shared libraries for AMD64
 libc0.1-pic - GNU C Library: PIC archive library
 libc0.1-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - GNU C Library: Shared libraries
 libc0.3-dbg - GNU C Library: detached debugging symbols
 libc0.3-dev - GNU C Library: Development Libraries and Header Files
 libc0.3-pic - GNU C Library: PIC archive library
 libc0.3-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-xen - GNU C Library: Shared libraries [Xen version]
 libc6      - GNU C Library: Shared libraries
 libc6-amd64 - GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - GNU C Library: detached debugging symbols
 libc6-dev  - GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips32 - GNU C Library: o32 Development Libraries for MIPS
 libc6-dev-mips64 - GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - GNU C Library: 32bit powerpc development libraries for ppc64
 libc6-dev-ppc64 - GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390 - GNU C Library: 32bit Development Libraries for IBM zSeries
 libc6-dev-sparc - GNU C Library: 32bit Development Libraries for SPARC
 libc6-dev-sparc64 - GNU C Library: 64bit Development Libraries for UltraSPARC
 libc6-dev-x32 - GNU C Library: X32 ABI Development Libraries for AMD64
 libc6-i386 - GNU C Library: 32-bit shared libraries for AMD64
 libc6-mips32 - GNU C Library: o32 Shared libraries for MIPS
 libc6-mips64 - GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - GNU C Library: PIC archive library
 libc6-powerpc - GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-s390 - GNU C Library: 32bit Shared libraries for IBM zSeries
 libc6-sparc - GNU C Library: 32bit Shared libraries for SPARC
 libc6-sparc64 - GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc6-x32  - GNU C Library: X32 ABI Shared libraries for AMD64
 libc6-xen  - GNU C Library: Shared libraries [Xen version]
 libc6.1    - GNU C Library: Shared libraries
 libc6.1-alphaev67 - GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - GNU C Library: detached debugging symbols
 libc6.1-dev - GNU C Library: Development Libraries and Header Files
 libc6.1-pic - GNU C Library: PIC archive library
 libc6.1-udeb - GNU C Library: Shared libraries - udeb (udeb)
 locales    - GNU C Library: National Language (locale) data [support]
 locales-all - GNU C Library: Precompiled locale data
 multiarch-support - Transitional package to ensure multiarch compatibility
 nscd       - GNU C Library: Name Service Cache Daemon
Closes: 903964 914997 915339 915621
Changes:
 glibc (2.28-2) unstable; urgency=medium
 .
   [ Samuel Thibault ]
   * patches/hurd-i386/git-fcntl64.diff: Fix returning value returned by
     __f_setlk.
 .
   [ Aurelien Jarno ]
   * debian/control.in/libc: breaks r-cran-later (<< 0.7.5+dfsg-2), ie
     versions built with tinycthread.  Closes: #915339.
   * debian/patches/git-updates.diff: update from upstream stable branch.
   * debian/testsuite-xfail-debian.mk: allow tst-pkey to fail on ppc64el, ppc64
     powerpc and powerpcspe as the glibc implementation is still only partial.
     Closes: #914997.
   * debian/control.in/main: glibc-source: add breaks on cross-toolchain-base
     (<< 29~) and cross-toolchain-base-ports (<< 25~) as those packages are not
     compatible with glibc 2.28.  Closes: #915621.
   * debian/testsuite-xfail-debian.mk: whitelist misc/tst-preadvwritev2 and
     misc/tst-preadvwritev64v2 on x32. The failing part of those tests is new,
     and the it looks like a kernel bug in the compat layer.
   * debian/testsuite-xfail-debian.mk: whitelist elf/tst-execstack-needed on
     riscv64, it is similar to the already whitelisted test
     elf/test-xfail-tst-execstack.
   * debian/debhelper.in/locales.postinst: fix regexp checking for installed
     locales package.  Closes: #903964.
Checksums-Sha1:
 0849f8b9970ca30c1bd627eab7f558332637dc2a 8887 glibc_2.28-2.dsc
 ca8c7163a1f24921046b639f84199d44b1d93786 854684 glibc_2.28-2.debian.tar.xz
 f141d5f4d3c7e55cbdfa5444be62e50879742c68 7294 glibc_2.28-2_source.buildinfo
Checksums-Sha256:
 572a22a3babd112a0ce4faa22356ea3de5fc54d22a6fade59189c8f5005a9c82 8887 glibc_2.28-2.dsc
 8a768c52fae93894043d0e46e2a1341a65ad3adde0641cee18617a6e34b692cf 854684 glibc_2.28-2.debian.tar.xz
 ab0cdc455c8885183b61d6ce36c8c44ce7f0e5f24411f8d9afa40731fc8ba8d6 7294 glibc_2.28-2_source.buildinfo
Files:
 2e08b1d0713aae1856e68e2a4c077917 8887 libs required glibc_2.28-2.dsc
 9807948be1e300f881b3ed841f03ff64 854684 libs required glibc_2.28-2.debian.tar.xz
 ecbbef0f880d0024560fe528d00be17a 7294 libs required glibc_2.28-2_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEUryGlb40+QrX1Ay4E4jA+JnoM2sFAlwIMq0ACgkQE4jA+Jno
M2sApg//Z09s/UniN5wWkkosPgfa1X1c06V6fCcue/u3JLuinTXj5IuUqbd2iYhZ
ecK+IRjZEPjEd0eta4awT30vxE6ZGkz1p+nAhrylQqEbb6OqoOi5FjpEi2grArV6
1T4WnDXt1cClrAReVk94yqv1HkXTkwndI7EFoJb6Zm1CUAVLfpXTUiUKu67ne6tB
lI49H45g6VKCbCF9jyJ22rS+0h+tN4Ad6TnAvIFQew+S8zJDkt2JjJtAOGEfx1zj
E7t07Va7SumffmxAKfnQSy9scjEUeHPnfHbiQz1WijmDFmdHDw9NOhihySK+ab91
VB7yiMwqqorruXv8JKLuxqlmmtlljvn5Rrbd785UCYBO8uupLCADCaSaM7Maq6+d
RzseIMXfN8cd8Hyhl563VPXBFztCVPS6gP4/IyK93lItdUByo7Rk+KJA2vdq79cb
VjxzW5TH4mYQ+0ZO6I9vWBA1zEm8t8W+/YBacWRW/Z7ZJpJ+gvsPb+uEmx/lFcw0
ppCkRM2fda29UyWGbsBcPqoiIs4lu539DpqPRNFLTKoHuEPz6ykHG1hx/W9oPp7y
JL2DpG0nCczqGl5po4vhsKvrXRD9ybxf+h2oTy8gi6Tth1/a7oj8e0bTdStGi9UT
FnS0PlbdZeTx49tWYQE34aVWv+xpVPVm70momQgdaw7kbzo+ZBw=
=Eu/q
-----END PGP SIGNATURE-----